#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libxml2-2.15.3

- Next

  libxslt-1.1.45

- Up
- Home

# libxmlb-0.3.26

## Introduction to libxmlb

The libxmlb package contains a library and a tool which help create and query binary XML blobs.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/hughsie/libxmlb/releases/download/0.3.26/libxmlb-0.3.26.tar.xz

- Download MD5 sum: 333bf734570485fe45179747e520a9cc

- Download size: 104 KB

- Estimated disk space required: 5.4 MB (with tests)

- Estimated build time: 0.1 SBU (With tests)

### libxmlb Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended)

#### Optional

GTK-Doc-1.36.1 and libstemmer

## Installation of libxmlb

Install libxmlb by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release -D gtkdoc=false .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtkdoc=false`: This switch disables building the API documentation. Remove it if you have GTK-Doc-1.36.1 installed and wish to build the API documentation.

`-D introspection=false`: Use this switch if you have not built GLib-2.88.0 with GObject Introspection.

`-D stemmer=true`: Use this switch if you have libstemmer installed and wish to build stemmer support.

## Contents

Installed Programs: xb-tool
Installed Libraries: libxmlb.so
Installed Directories: /usr/include/libxmlb-2, /usr/libexec/installed-tests/libxmlb, and /usr/share/gtk-doc/html/libxmlb (if gtk-doc was enabled)

### Short Descriptions

xb-tool | is a tool used to create, dump, or query a binary XML blob
`libxmlb.so` | contains functions that allow for creating and querying binary XML blobs

- Prev

  libxml2-2.15.3

- Next

  libxslt-1.1.45

- Up
- Home